# Retrieve a carrier account Returns an existing carrier account using an object ID. Endpoint: GET /carrier_accounts/{CarrierAccountId} Version: 2018-02-08 Security: APIKeyHeader ## Path parameters: - `CarrierAccountId` (string, required) Object ID of the carrier account ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `account_id` (string, required) Unique identifier of the account. Please check the carrier accounts tutorial page for the account_id per carrier. To protect account information, this field will be masked in any API response. Example: "****" - `active` (boolean) Determines whether the account is active. When creating a shipment, if no carrier_accounts are explicitly passed Shippo will query all carrier accounts that have this field set. By default, this is set to True. - `carrier` (string, required) Carrier token, see Carriers Please check the carrier accounts tutorial page for all supported carriers. Example: "usps" - `parameters` (any) - `carrier_name` (any) Carrier name, see Carriers Example: "USPS" - `is_shippo_account` (boolean) - `metadata` (string) - `object_id` (string) Unique identifier of the carrier account object. Example: "6aa34d5f6865448fbb1ee93636e98999" - `object_owner` (string) Username of the user who created the carrier account object. Example: "bob+22@gmail.com" - `service_levels` (array) - `service_levels.name` (string) Service level name, e.g. Priority Mail or FedEx Ground®. A service level commonly defines the transit time of a Shipment (e.g., Express vs. Standard), along with other properties. These names vary depending on the provider. See Service Levels. Example: "Priority Mail Express" - `service_levels.token` (string) Service level token, e.g. usps_priority or fedex_ground. See Service Levels. Example: "usps_priority_express" - `service_levels.supports_return_labels` (boolean) Whether or not the service level supports return labels. Example: true - `test` (boolean) Indicates whether the object has been created in test mode.